class Greeter
  attr_reader :languages

  def initialize(file_path = (__dir__ + '/data/languages.json'))
    @languages = load_languages file_path
  end

  def greet_in(language, vlad, say)
    language = language.to_s.downcase
    raise ArgumentError, "#{language.upcase} LANGUAGE NOT FOUND!" if @languages[language].nil?
    string = @languages[language.to_s.downcase].to_s.chomp
    string << ", vlad." if vlad
    puts string if say
    string
  end

  private

  def load_languages(file_path)
    raise IOError, "BAD FILE: #{file_path}" unless File.file? file_path
    JSON.load File.open(file_path)
  end
end